%Objective function
% f = \sum_{i=i}^{n}i(x_i-s_i)^2
% x = input vector
% s = shift vector

function [f,g] = ep(x)
  %Shift vector
  s = [10 4 20 8 -2 9 0 3]; 
  n=length(x);
  if n == length(s)
    i=1:n;
    %Function Evaluation
    f=sum(i.*((x-s).^2));
    
    %Gradient Evaluation
    g = zeros(1,n);
    g(i) = 2.*i.*(x(i)-s(i));
    
  end
end

 