%Initial guess
x = [1 0 18 10 7 4 1 7];

%Termination condition
maxiter=100;

for i=1:1:maxiter
  if i==1
    [current,g] = ep(x);
    best=current;
    solution = x;
  else
    %choose direction
    d = -1.*g;
    %choose stepsize
    alpha = 0.1;
    %update
    x = x + alpha.*d;
    %evaluate
    [current,g] = ep(x);
    
    if current < best
      best=current;
      solution = x;
    end 
    
   end
   
   disp(['Iteration =' num2str(i) ' Obj. function value = ' num2str(current) ' Current point = ' num2str(x) ]);
end

solution
best