function [f,g,H] = hard(x)
  n=length(x);
  i=1:n;
  
  %Function Evaluation
  f=x(1)^4-32*x(1)*x(2)+x(2)^4;
  
  %Gradient Evaluation
  g = zeros(1,n);
  g(1) = 4*(x(1)^3-8*x(2));
  g(2) = 4*(x(2)^3-8*x(1));
  
  %Hessian Evaluation
  H=[12*x(1)^2  -32; -32 12*x(2)^2];
end

 